For the complete documentation index, see llms.txt. This page is also available as Markdown.

Move stock for a product from one warehouse to another

Move stock for a product to another warehouse.

The response will show the stock details for the warehouse you are moving from

Required permissions: WAREHOUSE

post
/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/move
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
warehouseUidstringRequired

Reference to a Warehouse.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Body
quantityintegerRequired
serialnumbersstring[]Optional
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
averageCostintegerRequired
locationLabelstringRequired
maxStockLevelintegerRequired
minStockLevelintegerRequired
priceintegerRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productNamestringRequired
productSkustringRequired
quantityReservedintegerRequired
quantityStockintegerRequired
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
warehouseNamestringRequired
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/move
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock/{productUid}/move HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "quantity": 1,
  "serialnumbers": [
    "text"
  ],
  "warehouseUid": "text"
}
200

Example response

{
  "averageCost": 1,
  "locationLabel": "text",
  "maxStockLevel": 1,
  "minStockLevel": 1,
  "price": 1,
  "productUid": "text",
  "productName": "text",
  "productSku": "text",
  "quantityReserved": 1,
  "quantityStock": 1,
  "warehouseUid": "text",
  "warehouseName": "text",
  "storeUid": "text",
  "storeName": "text"
}

Last updated

Was this helpful?